From 2ee4f9558b89d127b89490681f414bd7420b3925 Mon Sep 17 00:00:00 2001
From: Peter Vreman <peter.vreman@acision.com>
Date: Fri, 19 Jun 2009 08:50:31 +0200
Subject: [PATCH] add background_power_system

---
 cobbler/remote.py |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

diff --git a/cobbler/remote.py b/cobbler/remote.py
index 402d022..00fcc84 100644
--- a/cobbler/remote.py
+++ b/cobbler/remote.py
@@ -132,6 +132,23 @@ class CobblerXMLRPCInterface:
         id = self.__start_task(RepoSyncThread, "Background reposync", [repos, tries])
         return id
 
+    def background_power_system(self, object_id,power=None,token=None):
+        class PowerThread(CobblerThread):
+            def run(self):
+                object_id = self.args[0]
+                power = self.args[1]
+                token = self.args[2]
+                try:
+                    self.remote.power_system(object_id,power,token)
+                    self.remote._finish_task(self.task_id, True)
+                except:
+                    traceback.print_exc() # to log file
+                    self.remote._finish_task(self.task_id, False)
+
+        self.check_access(token, "power")
+        id = self.__start_task(PowerThread, "Background power", [object_id,power,token])
+        return id
+
     def get_tasks(self):
         # FIXME:
         return self.tasks
-- 
1.5.5.6

